Skip to main content
POST
Create internal transfer

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
partner_id
integer | null

Partner ID (receive from, contact, or delivery address based on operation type). The id of an existing record in the partners_partners table.

Example:

1

operation_type_id
integer | null

Operation type ID. If omitted, the API resolves the default operation type for the resource. The id of an existing record in the inventories_operation_types table.

Example:

1

source_location_id
integer | null

Source location ID. The id of an existing record in the inventories_locations table.

Example:

1

destination_location_id
integer | null

Destination location ID. The id of an existing record in the inventories_locations table.

Example:

2

user_id
integer | null

Responsible user ID. The id of an existing record in the users table.

Example:

1

move_type
enum<string> | null

Shipping policy.

Available options:
direct,
one
Example:

"direct"

scheduled_at
string | null

Scheduled datetime. Must be a valid date.

Example:

"2026-02-25 10:00:00"

origin
string | null

Source document reference. Must not be greater than 255 characters.

Example:

"SO/00001"

description
string | null

Operation note.

Example:

"Handle with care."

moves
object[] | null

Optional operation moves payload.

Example:

Response

Created